Page MenuHomePhabricator

Undefined property: CategoryTreeCategoryViewer::$mName
Closed, ResolvedPublic

Description

Spotted in production:

Notice: Undefined property: CategoryTreeCategoryViewer::$mName in /srv/mediawiki/php-1.29.0-wmf.20/includes/CategoryViewer.php on line 747

Event Timeline

demon created this task.Apr 13 2017, 7:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 7:29 PM
aaron added a comment.Apr 20 2017, 3:42 AM

Should be mName of $category, or $category->getName(). The bug makes the lock global instead of per-category (not urgent itself but should be fixed).

Change 349144 had a related patch set uploaded (by Aaron Schulz):
[mediawiki/core@master] Fix bogus field reference in Category::getCountMessage() callback

https://gerrit.wikimedia.org/r/349144

Krinkle closed this task as Resolved.Apr 20 2017, 4:37 AM

Change 349144 merged by jenkins-bot:
[mediawiki/core@master] Fix bogus field reference in Category::getCountMessage() callback

https://gerrit.wikimedia.org/r/349144

hashar reopened this task as Open.Apr 24 2017, 4:19 PM
hashar added a subscriber: hashar.

Still happening. I noticed that today during SWAT (and filled duplicate T163686)

@hashar: I don't think this has been deployed (due to deployment freeze)

Change 350011 had a related patch set uploaded (by Hashar; owner: Aaron Schulz):
[mediawiki/core@wmf/1.29.0-wmf.20] Fix bogus field reference in Category::getCountMessage() callback

https://gerrit.wikimedia.org/r/350011

Change 350099 had a related patch set uploaded (by 20after4):
[operations/mediawiki-config@master] Paper over "Notice: Undefined variable: wmgRelatedArticlesFooterWhitelistedSkins"

https://gerrit.wikimedia.org/r/350099

Change 350099 merged by jenkins-bot:
[operations/mediawiki-config@master] Paper over "Notice: Undefined variable: wmgRelatedArticlesFooterWhitelistedSkins"

https://gerrit.wikimedia.org/r/350099

^ that was the wrong Bug: reference

Change 350011 merged by Hashar:
[mediawiki/core@wmf/1.29.0-wmf.20] Fix bogus field reference in Category::getCountMessage() callback

https://gerrit.wikimedia.org/r/350011

Mentioned in SAL (#wikimedia-operations) [2017-04-25T13:20:49Z] <hashar@naos> Synchronized php-1.29.0-wmf.20/includes: Fix bogus field reference in Category::getCountMessage() callback - T162941 (duration: 01m 14s)

hashar closed this task as Resolved.Apr 25 2017, 1:21 PM

It is no more showing in logstash \o/

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM